
use $data/export_ready.dta, clear

gen log_price=log(export/qty)
gen log_qty=log(qty)


			***Info about entry/exit

merge 1:1 siren cn8plus iso3 year using $data/entry.dta
drop if _merge==2
drop _merge
		
merge m:1 cn8plus using $data/cn8plus_to_product.dta
drop if _merge==2
drop _merge

merge m:1 product using $data/estimates_sigma.dta
drop if _merge==2
drop _merge

g quality_SFS=log_qty+sigma_SFS*log_price
g quality_agg=log_qty+sigma_agg*log_price
	
	
			***We normalize each measure by its average in the iso x cn8plus x year group
	
egen dest=group(iso3)
egen cn8_g=group(cn8plus)

foreach i in quality_SFS quality_agg {

reghdfe `i', absorb(dest#cn8_g#year) resid
predict `i'_norm, r
drop `i'
}

rename quality_SFS_norm quality_SFS 
rename quality_agg_norm quality_agg 

drop if quality_SFS ==.

keep year siren iso3 cn8plus log_price quality_*

save $data/quality_estimates.dta, replace


foreach i in quality_SFS quality_agg  {

bys cn8plus year iso3: egen p5=pctile(`i'), p(5)
bys cn8plus year iso3: egen p95=pctile(`i'), p(95)
gen ladder_`i'=p95-p5
drop p5 p95

}

bys cn8plus year iso3: egen n_obs=count(year)

keep cn8plus year iso3 ladder_* n_obs 
duplicates drop

save $data/quality_ladder_estimates.dta, replace




