
use  $base/base_import.dta, clear 
		
merge m:1 iso2 using $tmp/country_list.dta
keep if _merge==3
	
drop if year<1997	
	
collapse (sum) import, by(siren iso3)

tempfile import_countries   
save `import_countries'


		****Full sample first
use $data/export_ready.dta, clear

count

	*****Number of observations by spell

preserve

collapse (count) N_obs=year, by(siren iso3 cn8plus id_spell)

summarize N_obs, de

restore

        *****Number of observations by market

preserve

collapse (count) N_firm=siren, by(year iso3 cn8plus)

summarize N_firm, de

restore

	*****Number of sources country by firm

keep siren
duplicates drop

merge 1:m siren using `import_countries', keepusing(iso3)
drop if _merge==2
drop _merge
duplicates drop
egen dest=group(iso3)
collapse (count) N_source=dest, by(siren)

summarize N_source, de



		****Estimating sample second
		
use $data/export_ready.dta, clear

	**Drop singletons
	
bys siren iso3 cn8plus id_spell: egen count=count(year)
drop if count<7
drop count

merge m:1 siren using $data/import_ratio_brn.dta, keepusing(ratio_costs)
replace ratio_costs=0 if _merge==1
drop if _merge==2
drop _merge
drop if ratio_costs==.

forvalues i=1/3 {
bys iso3 cn8plus year : egen nobs2=count(year)
drop if nobs2==1
drop nobs2
bys id_spell siren iso3 cn8plus : egen nobs=count(year)
drop if nobs==1 
drop nobs
}


count

	*****Number of observations by spell

preserve

collapse (count) N_obs=year, by(siren iso3 cn8plus id_spell)

summarize N_obs, de

restore

        *****Number of observations by market

preserve

collapse (count) N_firm=siren, by(year iso3 cn8plus)

summarize N_firm, de

restore

	*****Number of sources country by firm

keep siren
duplicates drop

merge 1:m siren using `import_countries', keepusing(iso3)
drop if _merge==2
drop _merge
duplicates drop
egen dest=group(iso3)
collapse (count) N_source=dest, by(siren)

summarize N_source, de


	***Now, graphs of RER for top five sources
	
use $base/ex_rate.dta, clear
		
keep if iso3=="ITA" | iso3=="DEU" | iso3=="BEL" | iso3=="GBR" | iso3=="USA"

g RER_1997=real_exrate if year==1997
egen RER=min(RER_1997), by(iso3)

gen rer=real_exrate/RER		
		
keep if year>=1997 & year<=2010
sort iso3 year
	
	
tw (scatter rer year if iso3=="DEU", c(l) ) ///
	(scatter rer year if iso3=="ITA", c(l) ) ///
	(scatter rer year if iso3=="BEL", c(l) ) ///
	(scatter rer year if iso3=="GBR", c(l) ) ///
	(scatter rer year if iso3=="USA", c(l) ), ///
	legend(ring(0) pos(1) order(1 "DEU" 2 "ITA" 3 "BEL" 4 "GBR" 5 "USA")) ///
	ytitle("Real exchange rate") xtitle("Year") ylabel(0.8(.1)1.3, labsize(small))  xlabel(1997(1)2010, labsize(small)) 
		

gr export $graphs/RER_top_sources.pdf, replace	








